<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <h:head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="../../carpetagacss/estilos.css"></link>
        <link rel="icon" href="../../imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>

        <header>
            <ui:include src="../menu/CabeceraMenu.xhtml" />
        </header>

        <center>
            <table>
                <tr>
                    <td colspan="4">
                        <div class="advertencia">
                            <h:form id="conductorForm">
                                <p:growl id="messages" showDetail="true" />
                                
                                <p:panelGrid id="panelVehiculos" columns="6">
                                    <f:facet name="header">REGISTRAR NUEVO CONDUCTOR</f:facet>
                                    <h:outputText value="TIPO DOCUMENTO" style="width: 150px"/>
                                    <p:selectOneMenu value="#{conductorBean.conductor.tipodocumento}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Tipo Documento"/>
                                        <f:selectItems value="#{conductorBean.listaTipoDocumentos}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="NRO DOCUMENTO:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.nrodocumento}" style="width: 150px"/>
                                    <h:outputText value="NOMBRE CONDUCTOR" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.nombreconductor}" style="width: 150px"/>
                                    
                                    <h:outputText value="DIRECCIÓN" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.direccion}" style="width: 150px"/>
                                    <h:outputText value="TELÉFONO:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.telefono}" style="width: 150px"/>
                                    <h:outputText value="CORREO:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.correo}" style="width: 150px"/>
                                    
                                    <h:outputText value="EPS:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.eps}" style="width: 150px"/>
                                    <h:outputText value="FONDO DE PENSIÓN:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.fondopension}" style="width: 150px"/>
                                    <h:outputText value="ARL:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.arl}" style="width: 150px"/>
                                    
                                    <h:outputText value="TIPO CONDUCTOR:" style="width: 150px"/>
                                    <p:selectOneMenu value="#{conductorBean.conductor.tipoconductor}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Tipo Conductor"/>
                                        <f:selectItems value="#{conductorBean.listaTipoConductores}"/>
                                    </p:selectOneMenu>
                                    
                                    <h:outputText value="CONTRASEÑA:" style="width: 150px"/>
                                    <p:password value="#{conductorBean.conductor.contrasenia}" style="width: 150px"/>
                                    <h:outputText value="FOTO" style="width: 150px"/>
                                    <!--<p:inputText value="#{conductorBean.conductor.foto}" style="width: 150px"/>-->
                                    
                                    <p:commandButton id="botonGuardar" value="Guardar" class="botonbuscador" 
                                                     action="#{conductorBean.registrarConductor()}" update="conductorForm, tablaConductor"/>
                                    <p:commandButton type="reset" value="Borrar" class="botonbuscador" style="width: 150px"/>
                                </p:panelGrid>
                                <br></br>
                                <p:scrollPanel style="width:900px;height:200px">
                                    <p:dataTable id="tablaConductor" var="conductor" value="#{conductorBean.listadoConductores}">
                                        <p:column headerText="Tipo Documento">
                                            <h:outputText value="#{conductor.tipodocumento}"/>
                                        </p:column>     
                                        <p:column headerText="Nro Documento">
                                            <h:outputText value="#{conductor.nrodocumento}"/>
                                        </p:column>    
                                        <p:column headerText="Nombre">
                                            <h:outputText value="#{conductor.nombreconductor}"/>
                                        </p:column>    
                                        <p:column headerText="Teléfono">
                                            <h:outputText value="#{conductor.telefono}"/>
                                        </p:column>    
                                        <p:column headerText="Correo">
                                            <h:outputText value="#{conductor.correo}"/>
                                        </p:column>
                                    </p:dataTable>
                                </p:scrollPanel>
                            </h:form>
                        </div>
                    </td>
                </tr>
            </table>
        </center>           
        <footer>
            <a target="_blank" href="http://www.facebook.com"><img src="../../imagenes/Facebook.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.instagram.com"><img src="../../imagenes/Instagram.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.twitter.com"><img src="../../imagenes/Twitter.png" class="redsocial"></img></a>
            | Copyright 2014-2019 Tráfico Libre - <a href="#" class="privacidad">Privacidad-condiciones</a>
        </footer> 

    </h:body>
</html>

